from enum import Enum


class ErrorCodesEnum(Enum):

    StartFailed = 'Start failed'
    FileNotFound = 'File not found'
    WrongFileType = 'Wrong file type'

    Unknown = 'Unknown {}'
    Inaccessible = '{} inaccessible'
    Unexpected = 'Unexpected {}'
    Expected = 'Expected {}'

    LibInLib = 'Lib in lib'
    LibInClass = 'Lib in class'
    LibInFunc = 'Lib in func'
    ClassInClass = 'Class in class'
    ClassInFunc = 'Class in func'
    FuncInLib = 'Func in lib'
    FuncInFunc = 'Func in func'
