from abc import ABC, abstractmethod

from cpl_query.extension.list import List

from lexer.model.token import Token


class LexerABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @abstractmethod
    def tokenize(self, line: str) -> List[Token]: pass
